Subject: Re: Commit ID in exported Tar Ball

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 21 May 2007 02:53:55 -0400

Thomas Glanzmann <[email-masked]> wrote:
> so maybe it isn't that useless as I thought it initial is. But my point
> still stands. I want the commit id of the HEAD in a _file within_ the
> tarball and I definitively don't want to tag my project before I get a
> unique identifier.

So what, a magic flag to git-describe like:

	git-describe --untagged HEAD
	1a8213...

Where --untagged just means "give me back the raw commit SHA-1 if
the input ref(s) aren't tagged"?

-- 
Shawn.